org.apache.ignite.internal.processors.cache.distributed.near

## Class GridNearTxQueryEnlistFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<R>
  - - org.apache.ignite.internal.util.future.GridCompoundFuture<T,T>
    - - org.apache.ignite.internal.util.future.GridCompoundIdentityFuture<T>
      - - org.apache.ignite.internal.processors.cache.GridCacheCompoundIdentityFuture<T>
        - - org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxAbstractEnlistFuture<Long>
          - - org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxQueryAbstractEnlistFuture
            - - org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxQueryEnlistFuture

All Implemented Interfaces:
  Serializable, IgniteInternalFuture<Long>, GridCacheFuture<Long>, GridCacheVersionedFuture<Long>, IgniteInClosure<IgniteInternalFuture<Long>>

    public class GridNearTxQueryEnlistFuture
    extends GridNearTxQueryAbstractEnlistFuture

Cache lock future.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxAbstractEnlistFuture

`cctx, futId, lockVer, log, mvccSnapshot, threadId, timeout, timeoutObj, topVer, tx`

### Constructor Summary

Constructors
`protected` `GridNearTxQueryEnlistFuture(GridCacheContext<?,?> cctx, GridNearTxLocal tx, int[] cacheIds, int[] parts, String schema, String qry, Object[] params, int flags, int pageSize, long timeout)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `map(boolean topLocked)` Start iterating the data rows and form batches.
`boolean` `onNodeLeft(UUID nodeId)` Callback for when node left.
`void` `onResult(UUID nodeId, GridNearTxQueryEnlistResponse res)`
`Set<UUID>` `pendingResponseNodes()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxAbstractEnlistFuture

`checkCompleted, clearLocalFuture, futureId, init, logDebug, logError, markNotTrackable, onCancelled, onDone, onOwnerChanged, remainingTime, timeoutException, trackable, updateLocalFuture, updateMappings, version`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheCompoundIdentityFuture

`duration, startTime`

### Methods inherited from class org.apache.ignite.internal.util.future.GridCompoundFuture

`add, apply, cancel, clear, compoundsLockedExclusively, compoundsReadLock, compoundsReadUnlock, future, futures, futuresCountNoLock, hasFutures, hasPending, ignoreFailure, initialized, markInitialized, processFailure`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`chain, chain, chainCompose, chainCompose, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheFuture

`duration, startTime`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, chainCompose, chainCompose, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Constructor Detail

#### GridNearTxQueryEnlistFuture

    protected GridNearTxQueryEnlistFuture(GridCacheContext<?,?> cctx,
                                          GridNearTxLocal tx,
                                          int[] cacheIds,
                                          int[] parts,
                                          String schema,
                                          String qry,
                                          Object[] params,
                                          int flags,
                                          int pageSize,
                                          long timeout)

Parameters:
  `cctx` - Cache context.
  `tx` - Transaction.
  `cacheIds` - Involved cache ids.
  `parts` - Partitions.
  `schema` - Schema name.
  `qry` - Query string.
  `params` - Query parameters.
  `flags` - Flags.
  `pageSize` - Fetch page size.
  `timeout` - Timeout.

### Method Detail

#### map

    protected void map(boolean topLocked)

Description copied from class: `GridNearTxAbstractEnlistFuture`
Start iterating the data rows and form batches.

Specified by:
  `map` in class `GridNearTxAbstractEnlistFuture<Long>`
Parameters:
  `topLocked` - Topology locked flag.

#### onNodeLeft

    public boolean onNodeLeft(UUID nodeId)

Description copied from interface: `GridCacheFuture`
Callback for when node left.

Parameters:
  `nodeId` - Left node ID
Returns:
  `True` if node was in the list.

#### onResult

    public void onResult(UUID nodeId,
                         GridNearTxQueryEnlistResponse res)

Parameters:
  `nodeId` - Sender node id.
  `res` - Response.

#### pendingResponseNodes

    public Set<UUID> pendingResponseNodes()

Specified by:
  `pendingResponseNodes` in class `GridNearTxAbstractEnlistFuture<Long>`
Returns:
  Nodes from which current future waits responses.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridCompoundIdentityFuture<Long>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022